Obter pets associados ao CPF
curl --request GET \
--url https://services.pref.rio/rmi/v1/citizen/{cpf}/pets \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.pref.rio/rmi/v1/citizen/{cpf}/pets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.pref.rio/rmi/v1/citizen/{cpf}/pets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"animal_nome": "<string>",
"antirrabica_data": "<string>",
"antirrabica_validade_data": "<string>",
"clinica_credenciada": {
"celular": "<string>",
"email": "<string>",
"endereco": {
"bairro": "<string>",
"cidade": "<string>",
"complemento": "<string>",
"logradouro": "<string>",
"numero": "<string>"
},
"nome": "<string>",
"telefone": "<string>"
},
"especie_nome": "<string>",
"fase_vida_nome": "<string>",
"foto_url": "<string>",
"id_animal": 123,
"indicador": true,
"indicador_ativo": true,
"indicador_castrado": true,
"microchip_numero": "<string>",
"nascimento_data": "<string>",
"pedigree_indicador": true,
"pedigree_origem_nome": "<string>",
"porte_nome": "<string>",
"qrcode_payload": "<string>",
"raca_nome": "<string>",
"registro_data": "<string>",
"sexo_sigla": "<string>",
"source": "<string>",
"vermifugacao_data": "<string>",
"vermifugacao_validade_data": "<string>"
}
],
"pagination": {
"page": 123,
"per_page": 123,
"total": 123,
"total_pages": 123
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}citizen
Obter pets associados ao CPF
Recupera a lista paginada de pets associados ao CPF do cidadão.
GET
/
citizen
/
{cpf}
/
pets
Obter pets associados ao CPF
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
CPF do cidadão (11 dígitos)
Required string length:
11Query Parameters
Número da página (padrão: 1)
Required range:
x >= 1Itens por página (padrão: 10, máximo: 100)
Required range:
1 <= x <= 100⌘I
